summaryrefslogtreecommitdiff
path: root/tests/ln/misc
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-12-25 18:31:18 +0000
committerJim Meyering <jim@meyering.net>2000-12-25 18:31:18 +0000
commit1a8989fd9dc79ea15af6d94ed857467f02d54214 (patch)
treeda0ba7da425da14b93fa542e45a82e9e2c1128a3 /tests/ln/misc
parentf4795cc6b38772f2b241c7fc07fecdcc5d8feb48 (diff)
downloadcoreutils-1a8989fd9dc79ea15af6d94ed857467f02d54214.tar.xz
Add a test for this (for all of cp, mv, ln, install).
Diffstat (limited to 'tests/ln/misc')
-rwxr-xr-xtests/ln/misc9
1 files changed, 6 insertions, 3 deletions
diff --git a/tests/ln/misc b/tests/ln/misc
index 8ab2d1308..3a9d8d9bf 100755
--- a/tests/ln/misc
+++ b/tests/ln/misc
@@ -117,9 +117,12 @@ rm -rf a symlink hard-to-sym hard-to-dangle
# Make sure ln can make simple backups.
# This was fixed in 4.0.34. Broken in 4.0r.
-touch a x || framework_failure=1
-ln --backup=simple --suffix=.orig x a || fail=1
-test -f a.orig || fail=1
+for cmd in ln cp mv ginstall; do
+ rm -rf a x a.orig
+ touch a x || framework_failure=1
+ $cmd --backup=simple --suffix=.orig x a || fail=1
+ test -f a.orig || fail=1
+done
# ===================================================